<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  |
| Copyright (C) 2002 - 2011 Nick Jones                  |
| http://www.php-fusion.co.uk/                          |
+-------------------------------------------------------+
| This program is released as free software under the   |
| Affero GPL license. You can redistribute it and/or    |
| addonify it under the terms of this license which you |
| can read by viewing the included agpl.txt or online   |
| at http://www.gnu.org/licenses/agpl.html.             |
| Removal of this copyright header is strictly          |
| prohibited without written permission from the        |
| original author(s).                                   |
+------------------------------------------------------*/
/*------------------------------------------------------+
|       Counter Strike theme for PHP-Fusion v7          |
+-------------------------------------------------------+
| Filename: theme.php                                   |
| Author: Vlad Fagarasanu (Faga)                        |
| Homepage: http://osthemes.org                         |
+-------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3.                             |
+------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
define("THEME_BULLET2", "");

//Forum icons and buttons
set_image("up",  THEME."images/up.png");
set_image("down",  THEME."images/down.png");
set_image("left", THEME."images/left.png");
set_image("right",  THEME."images/right.png");
set_image("folder",  THEME."forum/folder.png");
set_image("foldernew",  THEME."forum/foldernew.png");
set_image("folderlock",  THEME."forum/folderlock.png");
set_image("stickythread",  THEME."forum/stickythread.png");
set_image("pollbar", THEME."images/all-bg.gif");
set_image("newthread",  THEME."forum/new-thread.png");
set_image("reply", THEME."forum/reply.png");
require_once INCLUDES."theme_functions_include.php";

function render_page($license = false) {
	
	
	global $settings, $main_style, $locale, $msg_count, $aidlink, $userdata, $user_id;

	//Header banner
	echo "<table cellpadding='0' cellspacing='0' width='1000' align='center'>\n<tr>\n";
	echo "<td class='full-header'>\n";
	echo "<div class='header-banner'>".showbanners2()."</div>\n";
	echo "</td>\n</tr>\n</table>\n";
	echo "<script src='".THEME."scripts/jquery.nivo.slider.pack.js' type='text/javascript'></script>\n";
	
	//Header url bar
	echo "<table class='nav-header' cellpadding='0' cellspacing='0' width='1000' align='center'>\n<tr>\n";
	echo "<td class='nav-header'>".showsublinks(" ".THEME_BULLET2." ", "")."</td>\n";
	echo "<td align='right' >".showsubdate()."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table class='wrapper' cellpadding='0' cellspacing='0' width='1000' align='center'>\n<tr>\n";
	echo "<td align='left' class='sub-wrapper-left'>\n";
    echo "<div class='slider-wrapper'>\n";
    echo "<div id='slider' class='nivoSlider'>\n";
    echo "<img src='".THEME."slide-images/slide-1.jpg' alt='slide-1' title='' />\n";//img 1
    echo "<img src='".THEME."slide-images/slide-2.jpg' alt='slide-2' title='' />\n";//img 2
    echo "<img src='".THEME."slide-images/slide-3.jpg' alt='slide-3' title='' />\n";//img 3
    echo "<img src='".THEME."slide-images/slide-4.jpg' alt='slide-4' title='' />\n";//img 4
    echo "<img src='".THEME."slide-images/slide-5.jpg' alt='slide-5' title='' />\n";//img 5
	echo "<img src='".THEME."slide-images/slide-6.jpg' alt='slide-6' title='' />\n";//img 6
	echo "<img src='".THEME."slide-images/slide-7.jpg' alt='slide-7' title='' />\n";//img 7
	echo "<img src='".THEME."slide-images/slide-8.jpg' alt='slide-8' title='' />\n";//img 8
    echo "</div>\n";
    echo "</div>\n";
	echo "</td>\n";
	echo "<td align='right' class='sub-wrapper-right'>\n";
	if (iMEMBER) {
	openside2("Logged in as <a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'>".($userdata['user_name'])."</a>");
	echo "<div id='navigation'>\n";
	echo "<ul>\n";
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");
	echo "<li><a href='".BASEDIR."edit_profile.php' class='side'>".$locale['global_120']."</a></li>\n";
	echo "<li><a href='".BASEDIR."messages.php' class='side'>".$locale['global_121']." &nbsp;&nbsp;<strong>(</strong>&nbsp;".$msg_count." new&nbsp;<strong>)</strong></a></li>\n";
	echo "<li><a href='".BASEDIR."members.php' class='side'>".$locale['global_122']."</a></li>\n";
	if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
		echo "<li><a href='".ADMIN."index.php".$aidlink."' class='side'>".$locale['global_123']."</a></li>\n";
	}
	echo "<li><a href='".BASEDIR."setuser.php?logout=yes' class='side'>".$locale['global_124']."</a></li>\n";
	echo "</ul>\n";
	echo "</div>\n";
} else {
	openside2($locale['global_100']);
	echo "<div style='text-align:center'>\n";
	echo "<form name='loginform' method='post' action='".FUSION_SELF."'>\n";
	echo $locale['global_101']."<br />\n<input type='text' name='user_name' class='textbox' style='width:100px' /><br />\n";
	echo $locale['global_102']."<br />\n<input type='password' name='user_pass' class='textbox' style='width:100px' /><br />\n";
	echo "<input type='checkbox' name='remember_me' value='y' title='".$locale['global_103']."' style='vertical-align:middle;' />\n";
	echo "<input type='submit' name='login' value='".$locale['global_104']."' class='button' /><br />\n";
	echo "</form>\n<br />\n";
	echo "<table id='navigation-login' cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
	if ($settings['enable_registration']) {
	echo "<td align='right'><a href='".BASEDIR."register.php'>&nbsp;&nbsp;&nbsp;&nbsp;Register&nbsp;&nbsp;&nbsp;&nbsp;</a></td>\n";	}
	echo "<td><a href='".BASEDIR."lostpassword.php'>Recover password</a></td>\n";
	echo "</tr>\n</table>\n";
	echo "</div>\n";
	echo "<br />\n";
}
closeside2();
	echo "</td>\n";
    echo "</tr>\n</table>\n";
	echo"<script type='text/javascript' src='".THEME."scripts/jquery-1.4.3.min.js'></script>
	 <script src='".THEME."scripts/jquery.nivo.slider.js' type='text/javascript'></script>
     <script type='text/javascript'>
    $(window).load(function() {
        $('#slider').nivoSlider();
    });
    </script>	";
	
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='1000' class='$main_style' align='center'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table class='main-footer' cellpadding='0' cellspacing='0' width='1000' align='center'>\n<tr>\n";
	echo "<td colspan='2' align='center' class='main-footer-text'>".stripslashes($settings['footer']);
	if (!$license) { echo "<br />\n".showcopyright(); }
	echo "</td>\n</tr>\n<tr>\n";
	echo "<td colspan='2' align='center' class='main-footer-text'>Theme by <a href='http://www.osthemes.org' target='_blank'>OSThemes.org</a></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='left' class='main-footer-timer'>".showrendertime()."</td>\n";
	echo "<td align='right' class='main-footer-counter'>".showcounter()."</td>\n";
	echo "</tr>\n</table>\n";

}

//News
function render_news($subject, $news, $info) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-news-left'></td>\n";
	echo "<td class='capmain-news'>".$subject."</td>\n";
	echo "<td class='capmain-news-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='main-body-left'></td>\n";
	echo "<td class='main-body-news-poster'>Posted by\n";
	echo newsposter($info," &middot;").newscat($info," ");
	echo "</td>\n";
	echo "<td class='main-body-right'></td>\n</tr>\n<tr>\n";
	echo "<td class='main-body-left'></td>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "<td class='main-body-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body-left'></td>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "<td class='main-body-right'></td>\n";
	echo "</tr></table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='submain-left'></td>\n";
	echo "<td class='submain'>&nbsp;</td>\n";
	echo "<td class='submain-right'></td>\n";
	echo "</tr>\n</table>\n";

}

//Articles
function render_article($subject, $article, $info) {
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='main-body-left'></td>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "<td class='main-body-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body-left'></td>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n";
	echo "<td class='main-body-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='submain-left'></td>\n";
	echo "<td class='submain'>&nbsp;</td>\n";
	echo "<td class='submain-right'></td>\n";
	echo "</tr>\n</table>\n";
}

//Opentable
function opentable($title) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='main-body-left'></td>\n";
	echo "<td class='main-body'>\n";
}
function closetable() {
	echo "</td>\n";
	echo "<td class='main-body-right'></td>\n";
	echo "</tr></table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='submain-left'></td>\n";
	echo "<td class='submain'>&nbsp;</td>\n";
	echo "<td class='submain-right'></td>\n";
	echo "</tr>\n</table>\n";
}

//Openside
function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td  align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='scapmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
	echo "<td class='side-body-left'></td>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {
	
	global $panel_collapse;
	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n";
	echo "<td class='side-body-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='submain-left'></td>\n";
	echo "<td class='submain'>&nbsp;</td>\n";
	echo "<td class='submain-right'></td>\n";
	echo "</tr>\n</table>\n";
}
//Openside login top
function openside2($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='scapmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' >\n<tr>\n";
	echo "<td class='side-body-left'></td>\n";
	echo "<td class='side-body-login-top'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside2() {
	
	global $panel_collapse;
	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n";
	echo "<td class='side-body-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='submain-left'></td>\n";
	echo "<td class='submain'>&nbsp;</td>\n";
	echo "<td class='submain-right'></td>\n";
	echo "</tr>\n</table>\n";
}
function showbanners2() {
	global $settings;
	ob_start();
	
	if ($settings['sitebanner1']) {
		eval("?>".stripslashes($settings['sitebanner1'])."\n<?php ");
	} elseif ($settings['sitebanner']) {
		echo "<a href='".$settings['siteurl']."'><img src='".BASEDIR.$settings['sitebanner']."' alt='".$settings['sitename']."' style='border: 0;' /></a>\n";
	} else {
		echo "<a href='".$settings['siteurl']."'>".$settings['sitename']."</a>\n";
	}	
	$output = ob_get_contents();
	ob_end_clean();
	return $output;
}



//News
//function render_news($subject, $news, $info) {
//	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
//	echo "<td class='capmain-news-left'></td>\n";
//	echo "<td class='capmain-news'>".$subject."</td>\n";
//	echo "<td class='capmain-news-right'></td>\n";
//	echo "</tr>\n</table>\n";
//	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
//	echo "<td class='main-body-left'></td>\n";
//	echo "<td class='main-body middle-border'>".$news."</td>\n";
//	echo "<td class='main-body-right'></td>\n";
//	echo "</tr>\n<tr>\n";
//	echo "<td class='main-body-left'></td>\n";
//	echo "<td align='center' class='news-footer middle-border'>\n";
//	echo newsposter($info," &middot;").newscat($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
//	echo "</td>\n";
//	echo "<td class='main-body-right'></td>\n";
//	echo "</tr></table>\n";
//	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
//	echo "<td class='submain-left'></td>\n";
//	echo "<td class='submain'>&nbsp;</td>\n";
//	echo "<td class='submain-right'></td>\n";
//	echo "</tr>\n</table>\n";
//}
?>